/****	Macros and definitions for debug.  ****/

/*	Copyright (C) 1989 Massachusetts Institute of Technology
 *		Right to copy granted under the terms described
 *		in the file Copyright accompanying this distribution.
 */

#ifdef EDIT_HISTORY

Nbr Date	Author		Description
--- ----	------		-----------
 1   6-Apr-89	M. A. Patton	First written.
 1A 29-Jun-89	M. A. Patton	Added "files".
 1B  8-Jul-89	M. A. Patton	Added "events", "state".
 1C 12-Sep-89	M. A. Patton	Added "connectivity".
 1D 15-Sep-89	M. A. Patton	Fixed typo in above.
 1E 24-Jan-90	M. A. Patton	Added ICMP.
 5  15-Jun-90	M. A. Patton	Added SNMP.

#endif


/* Debugging flags, each bit represents some kind of action that should be
 * reported on stderr.
 */
extern long dbg_flag;

#define DBG_COLOR		(1<<0)
#define DBG_COLOR_P		((DBG_COLOR&dbg_flag)!=0)

#define DBG_FILES		(1<<1)
#define DBG_FILES_P		((DBG_FILES&dbg_flag)!=0)

#define DBG_EVENTS		(1<<2)
#define DBG_EVENTS_P		((DBG_EVENTS&dbg_flag)!=0)

#define DBG_STATE		(1<<3)
#define DBG_STATE_P		((DBG_STATE&dbg_flag)!=0)

#define DBG_ICMP		(1<<4)
#define DBG_ICMP_P		((DBG_ICMP&dbg_flag)!=0)

#define DBG_SNMP		(1<<5)
#define DBG_SNMP_P		((DBG_SNMP&dbg_flag)!=0)

#define DBG_CONNECTIVITY	(1<<6)
#define DBG_CONNECTIVITY_P	((DBG_CONNECTIVITY&dbg_flag)!=0)
